Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #220

Please add A-B repeat feature to GTKUI
November 29, 2012 21:10 - Ariadne Conill

Status: Closed Start date: November 29, 2012
Priority: Minor Due date:
Assignee: % Done: 100%
Category: core Estimated time: 0.00 hour
Target version: 3.4
Affects version: 3.0, 3.0.1,3.0.2, 3.0.3, 3.0.4, 3.1, 3.1.1,
3.2-alphat, 3.2-betat, 3.1.2, 3.2-beta2,
3.2,3.2.1,8.2.2, 3.2.3, 3.3-alphat, 3.2.4,
3.3-betat, 3.3-beta2, 3.3, 3.4, 3.3.1,
3.3.2,3.3.3

Description

Audacious used to have this neat feature (I know, because I'm the one who implemented it) where you could set a start point and
end point (in what audacious calls 'frames'), and audacious would loop between them, simply by hitting the 'A’ key twice.

It appears this feature was removed in Audacious 3. Could you re-add it? It is useful for working out songs, and | considered it to be
one of those things which made Audacious a more 'pro audio' oriented player.

You could probably do this by hooking or perhaps adding a filter on the pipeline to queue a seek. | am not really certain how the new
effect plugins work in regard to queueing future events, though. | might mess around with it if | have time.

History

#1 - November 29, 2012 21:12 - Ariadne Conill

As an update, it seems that there is still plumbing for this in skinnedui, but not gtkui. Audacious 2 had this feature available in GTKUI, as far as |
recall it anyway!

#2 - November 30, 2012 02:11 - John Lindgren
- Subject changed from please re-add A-B repeat feature to Please add A-B repeat feature to GTKUI

AFAIK it was never implemented in gtkui. (There was a menu item for it but it wasn't hooked up to anything.) As far as | know the feature still works
fine in the skinned UI, though.

#3 - November 30, 2012 09:37 - Ariadne Conill

Yes, it appears you are right on that end, as | was talking with tallica on IRC about it.

Would it be possible to move this to an effect plugin? | am assuming that the effect plugins have the sufficient timing information to make it work.

#4 - December 01, 2012 14:44 - John Lindgren
- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious/commit/4e2b1849122d7c9ced9cde7ef6d387e6cf35b435
https://github.com/audacious-media-player/audacious-plugins/commit/{6a87ffe023138df9b3827494c5{3d3284b9baf6
